%define module GnomeCanvas

Summary: Perl module for the gnomecanvas library
Name:    perl-%module
Version: 0.28
Release: 1mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  GnomeCanvas.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: libgnomecanvas2_0-devel
BuildRequires: perl-devel perl-ExtUtils-Depends perl-Gtk2 => 0.26
Requires: perl-Gtk2 => 0.26
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Gnome2::Canvas module allows a perl developer to use the GnomeCanvas
widget with Gtk2-Perl.


%prep
%setup -q -n GnomeCanvas
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE canvas_demo
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2/Canvas
%{perl_vendorarch}/Gnome2/Canvas.pm
%{perl_vendorarch}/auto/*


%changelog
* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.28-1mdk
- new release

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-2mdk
- provides some doc and one example
- generate build system in %%prep

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.04.1-1mdk
- GnomeCanvas-0.26: fix bug in libgnomecanvas

* Sun Jul 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix description (David Walser)

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- xs snapshot
